joomla 1.0.15 + php 5.3.2

Discussion regarding Joomla! security issues.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Security Checklist
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
lucho115
Joomla! Fledgling
Joomla! Fledgling
Posts: 4
Joined: Thu Apr 26, 2007 1:58 pm

joomla 1.0.15 + php 5.3.2

Postby lucho115 » Tue Jun 29, 2010 4:29 pm

I have 2 sites with joomla 1.0.15 and my hosting server update php from 5.2 to 5.3.2 last night, so i have no content pages (error : Parameter 2 to frontpage() expected to be a reference, value given in /var/www/html/sitio/includes/Cache/Lite/Function.php), so looking for a solution (until 1.6 will be ready) i found this patch :

Replace:

$arguments = func_get_args();

with

$arguments = func_get_args();
$numargs = func_num_args();
for($i=1; $i < $numargs; $i++){
$arguments[$i] = &$arguments[$i];
}

in includes/Cache/Lite/Function.php

So i did the changes in function.php, but the problem persist in same pages, any idea? or any help that you can give me?
thks and sorry about my english
bye

User avatar
dhuelsmann
Joomla! Master
Joomla! Master
Posts: 19642
Joined: Sun Oct 02, 2005 12:50 am
Location: Omaha, NE
Contact:

Re: joomla 1.0.15 + php 5.3.2

Postby dhuelsmann » Tue Jun 29, 2010 4:42 pm

Support for the Joomla 1.0.x series ended after July 22, 2009. That series is not compatible with php 5.3.x. Either roll back to 5.2.x or migrate to Joomla 1.5.18
Regards, Dave
Past Treasurer Open Source Matters, Inc.
Past Global Moderator
http://www.kiwaniswest.org

lucho115
Joomla! Fledgling
Joomla! Fledgling
Posts: 4
Joined: Thu Apr 26, 2007 1:58 pm

Re: joomla 1.0.15 + php 5.3.2

Postby lucho115 » Tue Jun 29, 2010 7:06 pm

dhuelsmann wrote:Support for the Joomla 1.0.x series ended after July 22, 2009. That series is not compatible with php 5.3.x. Either roll back to 5.2.x or migrate to Joomla 1.5.18

ok, but the migration is to hard (the 2 sites are very full of info and modules) and we have 1.6 near to release, i think that is more productive do the migrate to 1.6, so in the midle i need to do 1.0.15 work over php 5.3 and i have no way to roll back to 5.2 because they are hosted in a shared server. So like i say in the first post, i found a patch that works but not for the entire site just to same content pages and modules.
Anybody can help me ? i think a lot of people is in the same situation.
And sorry about my english.
bye

User avatar
Tonie
Joomla! Master
Joomla! Master
Posts: 16584
Joined: Thu Aug 18, 2005 7:13 am

Re: joomla 1.0.15 + php 5.3.2

Postby Tonie » Tue Jun 29, 2010 7:28 pm

Even if you want to go to 1.6 straight away, you will have to go to 1.5 before going to 1.6. There is no upgrade path straight from 1.0.

lucho115
Joomla! Fledgling
Joomla! Fledgling
Posts: 4
Joined: Thu Apr 26, 2007 1:58 pm

Re: joomla 1.0.15 + php 5.3.2

Postby lucho115 » Wed Jun 30, 2010 2:53 pm

Tonie wrote:Even if you want to go to 1.6 straight away, you will have to go to 1.5 before going to 1.6. There is no upgrade path straight from 1.0.


NOP, i dont need to go to 1.5 before going 1.6 because i will recreate from zero the sites in 1.6, thats because the migration from 1.0 to 1.5 is a mess, migrator have no the plugins that i need and theme and styles in data will not be well imported (i try the process with bad results).
Any way to other people that have my same problem i solved editing two files:

First, /includes/Cache/Lite/Function.php :

Replace:

Code: Select all

$arguments = func_get_args();


with

Code: Select all

$arguments = func_get_args();
$numargs = func_num_args();
for($i=1; $i < $numargs; $i++){
$arguments[$i] = &$arguments[$i];
}


And Second, /includes/vcard.class.php

Add before line 38:

Code: Select all

if(!function_exists('quoted_printable_encode'))
{
  /* line 38 to 77 */
}



OK, with this changes i get the 1.0 version works over php 5.3.2, at least for my sites.
thks and bye

p.d.: sorry about my english again.

User avatar
Tonie
Joomla! Master
Joomla! Master
Posts: 16584
Joined: Thu Aug 18, 2005 7:13 am

Re: joomla 1.0.15 + php 5.3.2

Postby Tonie » Wed Jun 30, 2010 4:45 pm

No worries, good to hear that it's working for you.

kennyd
Joomla! Fledgling
Joomla! Fledgling
Posts: 1
Joined: Fri Jul 30, 2010 7:24 am

Re: joomla 1.0.15 + php 5.3.2

Postby kennyd » Wed Aug 04, 2010 5:29 am

I am having these error when cofirming my billing address after adding cart. Have done the patches (before patches site unable to srt-up), but the below error still exist. Any advise?

Warning: Parameter 1 to DOMIT_Lite_Parser::startElement() expected to be a reference, value given in /home/kennyd/public_html/oxyfreshdistributormalaysia.com/includes/domit/xml_saxy_shared.php on line 260

Thanks

User avatar
gmcgilli
Joomla! Explorer
Joomla! Explorer
Posts: 374
Joined: Thu Feb 22, 2007 7:07 pm
Location: USA
Contact:

Re: joomla 1.0.15 + php 5.3.2

Postby gmcgilli » Mon Oct 11, 2010 9:31 am

Thanks man you save me a ton of time!
Cheers,
Garry

lucho115 wrote:
Tonie wrote:Even if you want to go to 1.6 straight away, you will have to go to 1.5 before going to 1.6. There is no upgrade path straight from 1.0.


NOP, i dont need to go to 1.5 before going 1.6 because i will recreate from zero the sites in 1.6, thats because the migration from 1.0 to 1.5 is a mess, migrator have no the plugins that i need and theme and styles in data will not be well imported (i try the process with bad results).
Any way to other people that have my same problem i solved editing two files:

First, /includes/Cache/Lite/Function.php :

Replace:

Code: Select all

$arguments = func_get_args();


with

Code: Select all

$arguments = func_get_args();
$numargs = func_num_args();
for($i=1; $i < $numargs; $i++){
$arguments[$i] = &$arguments[$i];
}


And Second, /includes/vcard.class.php

Add before line 38:

Code: Select all

if(!function_exists('quoted_printable_encode'))
{
  /* line 38 to 77 */
}



OK, with this changes i get the 1.0 version works over php 5.3.2, at least for my sites.
thks and bye

p.d.: sorry about my english again.
http://www.redmystic.com
Publish your Virtuemart products to Redmystic and Virtuemart for FREE!

User avatar
beededea
Joomla! Hero
Joomla! Hero
Posts: 2809
Joined: Wed Oct 31, 2007 3:48 pm
Location: Victorian England 1885

Re: joomla 1.0.15 + php 5.3.2

Postby beededea » Tue Oct 12, 2010 5:02 pm

Good post! Loads of people will likely encounter this problem. I also agree with you that Some of my migration plans depend on Joomla 1.6 being here, stable and reasonably quick... I am going to push 23 of my clients down the upgrade route and Joomla 1.6 may be the stick I need
Yereverluvinunclebert
Steampunk widgets. Platforms of choice: Joomla 1.0/1.5, Joostina 1.2, OSCommerce
Site aims: Optimisation, Security and Solidity
http://widgets.yahoo.com/widgets/steampunk-clock-calendar

ddanciu
Joomla! Fledgling
Joomla! Fledgling
Posts: 3
Joined: Sat Oct 16, 2010 11:15 pm

Re: joomla 1.0.15 + php 5.3.2

Postby ddanciu » Sat Oct 16, 2010 11:41 pm

Hello,

My provider upgraded php to 5.3.3 and my joolmla sites showed only menus, the articles were not shown at all :( ; admin area was working fine.
I only modified /includes/Cache/Lite/Function.php as indicated above and confirm working on joomla 1.0.13 and 1.0.15 versions; I may not use all functionalities but I got no other errors so far.

Thanks a lot for this correction, my users are happy again. :)
I will surely plan to upgrade to 1.5

Have a nice day!

User avatar
beededea
Joomla! Hero
Joomla! Hero
Posts: 2809
Joined: Wed Oct 31, 2007 3:48 pm
Location: Victorian England 1885

Re: joomla 1.0.15 + php 5.3.2

Postby beededea » Sat Oct 16, 2010 11:55 pm

For a provider to upgrade without warning is unforgiveable, it is entirely practical to run 5.2 in parallel with 5.3 and your provider should have done that at the very least in order to give you time to move on...

Time to change something I would say. Possibly the provider.
Yereverluvinunclebert
Steampunk widgets. Platforms of choice: Joomla 1.0/1.5, Joostina 1.2, OSCommerce
Site aims: Optimisation, Security and Solidity
http://widgets.yahoo.com/widgets/steampunk-clock-calendar

ddanciu
Joomla! Fledgling
Joomla! Fledgling
Posts: 3
Joined: Sat Oct 16, 2010 11:15 pm

Re: joomla 1.0.15 + php 5.3.2

Postby ddanciu » Sun Oct 17, 2010 12:05 am

Wise thinking, I already plan it. I think doing to godaddy but I am open to suggestions.
Last edited by ddanciu on Sun Oct 17, 2010 4:38 pm, edited 2 times in total.

User avatar
beededea
Joomla! Hero
Joomla! Hero
Posts: 2809
Joined: Wed Oct 31, 2007 3:48 pm
Location: Victorian England 1885

Re: joomla 1.0.15 + php 5.3.2

Postby beededea » Sun Oct 17, 2010 12:23 am

Avoid Godaddy! I hear nothing good, if you want a good recommendation just say.
Yereverluvinunclebert
Steampunk widgets. Platforms of choice: Joomla 1.0/1.5, Joostina 1.2, OSCommerce
Site aims: Optimisation, Security and Solidity
http://widgets.yahoo.com/widgets/steampunk-clock-calendar

ddanciu
Joomla! Fledgling
Joomla! Fledgling
Posts: 3
Joined: Sat Oct 16, 2010 11:15 pm

Re: joomla 1.0.15 + php 5.3.2

Postby ddanciu » Sun Oct 17, 2010 12:38 am

Yes please, what would you reccommend as hosting for php/mysql/joomla ?

User avatar
beededea
Joomla! Hero
Joomla! Hero
Posts: 2809
Joined: Wed Oct 31, 2007 3:48 pm
Location: Victorian England 1885

Re: joomla 1.0.15 + php 5.3.2

Postby beededea » Sun Oct 17, 2010 2:54 pm

I've PM'd you a possible solution, hope that is OK.
Yereverluvinunclebert
Steampunk widgets. Platforms of choice: Joomla 1.0/1.5, Joostina 1.2, OSCommerce
Site aims: Optimisation, Security and Solidity
http://widgets.yahoo.com/widgets/steampunk-clock-calendar

lucho115
Joomla! Fledgling
Joomla! Fledgling
Posts: 4
Joined: Thu Apr 26, 2007 1:58 pm

Re: joomla 1.0.15 + php 5.3.2

Postby lucho115 » Mon Oct 18, 2010 12:38 pm

I happy that many people can resolve this issue with my post, and like others i am finding a good hosting, so beededea can you pm me with your possible solution.
thks and sorry again for my english.

Lucchox.-

User avatar
mandville
Joomla! Master
Joomla! Master
Posts: 14581
Joined: Mon Mar 20, 2006 1:56 am
Location: The Girly Side of Joomla in Sussex

Re: joomla 1.0.15 + php 5.3.2

Postby mandville » Tue Oct 19, 2010 5:01 pm

beededea wrote:I've PM'd you a possible solution, hope that is OK.


can you share on the forums to save filling up your inbox?
HU2HY- Poor questions = Poor answer
Un requested Help PM's will be reported, added to the foe list and possibly just deleted
{VEL Team Leader}{TM Auditor }{ Showcase & Security forums Moderator}

User avatar
beededea
Joomla! Hero
Joomla! Hero
Posts: 2809
Joined: Wed Oct 31, 2007 3:48 pm
Location: Victorian England 1885

Re: joomla 1.0.15 + php 5.3.2

Postby beededea » Tue Oct 19, 2010 5:24 pm

Of course! I don't want to seem to be pushing one person's services in particular but if you are OK with it then I would suggest anyone, everyone use 5quidhost.co.uk for their personal hosting.

Their reseller accounts are also very good. what is good about them is their support, it is second to none. They will even transfer your sites for you.
Yereverluvinunclebert
Steampunk widgets. Platforms of choice: Joomla 1.0/1.5, Joostina 1.2, OSCommerce
Site aims: Optimisation, Security and Solidity
http://widgets.yahoo.com/widgets/steampunk-clock-calendar

User avatar
beededea
Joomla! Hero
Joomla! Hero
Posts: 2809
Joined: Wed Oct 31, 2007 3:48 pm
Location: Victorian England 1885

Re: joomla 1.0.15 + php 5.3.2

Postby beededea » Tue Oct 19, 2010 5:25 pm

They have servers in the US and UK
Yereverluvinunclebert
Steampunk widgets. Platforms of choice: Joomla 1.0/1.5, Joostina 1.2, OSCommerce
Site aims: Optimisation, Security and Solidity
http://widgets.yahoo.com/widgets/steampunk-clock-calendar

rethavs
Joomla! Fledgling
Joomla! Fledgling
Posts: 1
Joined: Fri Nov 18, 2011 7:39 am

Re: joomla 1.0.15 + php 5.3.2

Postby rethavs » Fri Nov 18, 2011 7:42 am

Thanks for this post! Also saved me lots of time... I changed the Function.php and vcard.class.php and voila! Crisis averted - for now... :-)

bjornv
Joomla! Apprentice
Joomla! Apprentice
Posts: 21
Joined: Mon Sep 29, 2008 3:24 pm

Re: joomla 1.0.15 + php 5.3.2

Postby bjornv » Thu May 10, 2012 9:56 pm

Thanks so much as well to lucho115 for finding the answer and the solution to Joomla 1.0 not working with php 5.3, my webhost is now mandating the switch, which I appreciate, however they've given me only 1 months notice, and for some sites, it's hard to prioritize a migration from Joomla 1.0 to 1.5 or greater in such a short time. Thanks again!

avra911
Joomla! Apprentice
Joomla! Apprentice
Posts: 7
Joined: Sat Nov 03, 2007 9:36 pm

Re: joomla 1.0.15 + php 5.3.2

Postby avra911 » Fri May 18, 2012 8:01 am

Good fix.

Thanks,
R

User avatar
micheas
Joomla! Explorer
Joomla! Explorer
Posts: 323
Joined: Sat Sep 03, 2005 10:54 am
Location: San Francisco, CA
Contact:

Re: joomla 1.0.15 + php 5.3.2

Postby micheas » Thu Jul 12, 2012 9:15 pm

I put all my changes onto git hub. and rolled a 1.0.15 -> 1.0.16 "patch" file
https://github.com/micheas/Joomla-1.0/downloads

The second change is that tinymce has been updated so that recent browsers will work with it.

asiams
Joomla! Fledgling
Joomla! Fledgling
Posts: 3
Joined: Fri Feb 01, 2013 4:26 am

Re: joomla 1.0.15 + php 5.3.2

Postby asiams » Thu Apr 18, 2013 11:10 am

micheas,

Thank you for putting this together. You have saved lots of time and appreciate your good work. Now my site has been updated to 1.0.16. And it is showing ok.

Thanks.

User avatar
mandville
Joomla! Master
Joomla! Master
Posts: 14581
Joined: Mon Mar 20, 2006 1:56 am
Location: The Girly Side of Joomla in Sussex

Re: joomla 1.0.15 + php 5.3.2

Postby mandville » Thu Apr 18, 2013 3:05 pm

Please forgive this seemingly stupid question,
where was the joomla project official announcement for j 1.0.16?
HU2HY- Poor questions = Poor answer
Un requested Help PM's will be reported, added to the foe list and possibly just deleted
{VEL Team Leader}{TM Auditor }{ Showcase & Security forums Moderator}

User avatar
razor7
Joomla! Explorer
Joomla! Explorer
Posts: 335
Joined: Wed Aug 24, 2005 2:06 pm
Location: Argentina
Contact:

Re: joomla 1.0.15 + php 5.3.2

Postby razor7 » Fri Jun 28, 2013 5:23 pm

mandville wrote:Please forgive this seemingly stupid question,
where was the joomla project official announcement for j 1.0.16?

There would not be one, because Joomla! 1.0 and Joomla! 1.5 series are all long gone, death, unsupported, finnished! jajaja

The patch worked just fine!, thanks a lot!
Visit http://www.mgscreativa.com

Take a look at our downloads section for VirtueMart payment plugins and mouch more! http://www.mgscreativa.com/contenidos/index.php?option=com_docman&Itemid=214

User avatar
mandville
Joomla! Master
Joomla! Master
Posts: 14581
Joined: Mon Mar 20, 2006 1:56 am
Location: The Girly Side of Joomla in Sussex

Re: joomla 1.0.15 + php 5.3.2

Postby mandville » Fri Jun 28, 2013 7:35 pm

asiams wrote:micheas,
Now my site has been updated to 1.0.16.
HU2HY- Poor questions = Poor answer
Un requested Help PM's will be reported, added to the foe list and possibly just deleted
{VEL Team Leader}{TM Auditor }{ Showcase & Security forums Moderator}


Return to “Security - 1.0.x”

Who is online

Users browsing this forum: No registered users and 7 guests